#1497 Bug report after making a capture selection

1.1
closed
nobody
None
fixed
5
2014-08-14
2013-04-12
Michel
No

The following bug report shows up every time I capture (as soon as I release the mouse button after making a selection).

Software version: 1.1.1.2550 (32 bit)
.NET runtime version: 4.0.30319.586
Time: 2013-04-12 10:06:32 +02:00
OS: Windows XP Professional Service Pack 3 (x32) 5.1 build 2600 revision 30000
GDI object count: 113
User object count: 46
Surface count: 5
Exception: System.Collections.Generic.KeyNotFoundException
Message: De gegeven sleutel is niet aanwezig in het woordenboek.

Stack:
bij System.Collections.Generic.Dictionary2.get_Item(TKey key) bij ExternalCommand.IconCache.IconForExe(String exepath) bij ExternalCommand.ExternalCommandDestination.get_DisplayIcon() bij GreenshotPlugin.Core.AbstractDestination.GetMenuItem(Boolean addDynamics, ContextMenuStrip menu, EventHandler destinationClickHandler) bij GreenshotPlugin.Core.AbstractDestination.ShowPickerMenu(Boolean addDynamics, ISurface surface, ICaptureDetails captureDetails, IEnumerable1 destinations)
bij Greenshot.Destinations.PickerDestination.ExportCapture(Boolean manuallyInitiated, ISurface surface, ICaptureDetails captureDetails)
bij Greenshot.Helpers.CaptureHelper.HandleCapture()
bij Greenshot.Helpers.CaptureHelper.CaptureWithFeedback()
bij Greenshot.Helpers.CaptureHelper.MakeCapture()
bij Greenshot.MainForm.CaptureRegion()
bij GreenshotPlugin.Controls.HotkeyControl.HandleMessages(Message& m)
bij Greenshot.MainForm.WndProc(Message& m)
bij System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
bij System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
bij System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

Configuration dump:
[Core]
Language=en-US
RegionHotkey=PrintScreen
WindowHotkey=Alt + PrintScreen
FullscreenHotkey=Ctrl + PrintScreen
LastregionHotkey=Shift + PrintScreen
IEHotkey=Ctrl + Shift + PrintScreen
IsFirstLaunch=False
Destinations=Picker
ClipboardFormats=DIB,PNG
CaptureMousepointer=True
CaptureWindowsInteractive=False
CaptureDelay=0
ScreenCaptureMode=Auto
ScreenToCapture=1
WindowCaptureMode=Auto
WindowCaptureAllChildLocations=False
DWMBackgroundColor=Transparent
PlayCameraSound=False
ShowTrayNotification=True
OutputFilePath=C:\Documents and Settings\mbk\Bureaublad
OutputFileAllowOverwrite=True
OutputFileFilenamePattern=${capturetime:d"yyyy-MM-dd HH_mm_ss"}-${title}
OutputFileFormat=png
OutputFileReduceColors=False
OutputFileAutoReduceColors=True
OutputFileCopyPathToClipboard=True
OutputFileAsFullpath=C:\Documents and Settings\mbk\Bureaublad\dummy.png
OutputFileJpegQuality=80
OutputFilePromptQuality=False
OutputFileIncrementingNumber=1
OutputPrintPromptOptions=True
OutputPrintAllowRotate=True
OutputPrintAllowEnlarge=True
OutputPrintAllowShrink=True
OutputPrintCenter=True
OutputPrintInverted=False
OutputPrintGrayscale=False
OutputPrintMonochrome=False
OutputPrintMonochromeThreshold=127
OutputPrintFooter=True
OutputPrintFooterPattern=${capturetime:d"D"} ${capturetime:d"T"} - ${title}
NotificationSound=default
UseProxy=True
IECapture=True
IEFieldCapture=False
WindowClassesToCheckForIE=AfxFrameOrView70,IMWindowClass
AutoCropDifference=10
IncludePlugins=
ExcludePlugins=
ExcludeDestinations=OneNote
UpdateCheckInterval=0
LastUpdateCheck=04/08/2013 13:27:58
DisableSettings=False
DisableQuickSettings=False
DisableTrayicon=False
HideExpertSettings=False
ThumnailPreview=True
NoGDICaptureForProduct=intellij,idea
NoDWMCaptureForProduct=citrix,ica,client
OptimizeForRDP=False
MinimizeWorkingSetSize=False
WindowCaptureRemoveCorners=True
CheckForUnstable=False
ActiveTitleFixes=Firefox,IE,Chrome
TitleFixMatcher.Firefox= - Mozilla Firefox.
TitleFixMatcher.IE= - (Microsoft|Windows) Internet Explorer.

TitleFixMatcher.Chrome= - Google Chrome.*
TitleFixReplacer.Firefox=
TitleFixReplacer.IE=
TitleFixReplacer.Chrome=
EnableSpecialDIBClipboardReader=True
WindowCornerCutShape=5,3,2,1,1
LeftClickAction=SHOW_CONTEXT_MENU
DoubleClickAction=OPEN_LAST_IN_EXPLORER
ZoomerEnabled=True
MaxMenuItemLength=25
MailApiTo=
MailApiCC=
MailApiBCC=
OptimizePNGCommand=
OptimizePNGCommandArguments="{0}"

Discussion

  • Michel
    Michel
    2013-04-12

    Extra info:
    Continues to do so after restaring PC. The actual capture also never finishes, because I never get the menu to make a choice as to what to do with the captured region.

     
  • Robin Krom
    Robin Krom
    2013-04-12

    Hi Michael,

    something goes wrong when trying to display the external command destinations.
    I guess you have a command without a commandline, although I don't understand how this happened. But this is hard to see without having the configuration part for the extenal commands.

    Maybe you can have a look, open the Greenshot about and press the "i"-key, this SHOULD open the greenshot.ini (or at least tell you where it is). Than find the "[ExternalCommand]" section and there all the settings for the external command should be.. Actually opening the External command settings might also fix some issues...

    Maybe you can show me what is set in your settings?

    Best wishes,
    Robin

     
  • Robin Krom
    Robin Krom
    2013-04-16

    • status: open --> pending
     
  • Robin Krom
    Robin Krom
    2013-04-16

    Placing the ticket on pending, without additional information we can only do so much.

     
  • Michel
    Michel
    2013-04-16

    Sorry for the late response. I'm not on location all the time there.
    The following is listed in my Greenshot.ini:

    ; Greenshot ExternalCommand Plugin configuration
    [ExternalCommand]
    ; The commands that are available.
    Commands=Paint.NET,MS Paint
    ; The commandline for the output command.
    Commandline.Paint.NET=C:\Program Files\Paint.NET\PaintDotNet.exe
    ; The arguments for the output command.
    Argument.Paint.NET="{0}"
    ; Should the command be started in the background.
    RunInbackground.Paint.NET=True

    I just realized the same error occurs when I click 'Preferences...' (after the error, it does in fact open the settings) or 'Configure external commands' (which doesn't do anything after the error). I also have to add, that 1.0.6 works perfect.

     
    Last edit: Michel 2013-04-16
  • Michel
    Michel
    2013-04-16

    And fixed!

    I removed the entire ExternalCommand-section from the ini and restarted Greenshot. Issue seems to be resolved and Greenshot automatically added the following to Greenshot.ini:

    ; Greenshot ExternalCommand Plugin configuration
    [ExternalCommand]
    ; The commands that are available.
    Commands=Paint.NET,MS Paint
    ; The commandline for the output command.
    Commandline.Paint.NET=C:\Program Files\Paint.NET\PaintDotNet.exe
    Commandline.MS Paint=C:\WINDOWS\system32\mspaint.exe
    ; The arguments for the output command.
    Argument.Paint.NET="{0}"
    Argument.MS Paint="{0}"
    ; Should the command be started in the background.
    RunInbackground.Paint.NET=True
    RunInbackground.MS Paint=True

     
  • Robin Krom
    Robin Krom
    2013-04-16

    Hallo Michel,

    Precies wat ik nodig had, en met voor/na nog beter te herkennen.
    Er was een "MS Paint" in de commands-lijst, maar de bijpassende andere lijsten waren weg. Ik heb al een fix voor 1.1.2, alleen weet ik niet hoe het zo gekomen is.

    P.S.
    Als je wat uit de Greenshot.ini weggehaalt, komt het vanzelf met een default terug.

    Bedankt voor je antwoord!

    Groetjes,
    Robin

     
  • Robin Krom
    Robin Krom
    2013-06-11

    • status: pending --> closed
    • Resolution: none --> fixed
     
  • Robin Krom
    Robin Krom
    2013-06-11

    Should be fixed with 1.1.5